curl --request POST \
--url https://storefront.glood.ai/api/storefront/v3/headless/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"id": "evt-atc-001",
"name": "glood:section:add_to_cart",
"type": "custom",
"timestamp": "2026-04-17T10:30:00Z",
"data": {},
"customData": {
"track": {
"section": "221939",
"parent": {
"productId": "15441118822774",
"variantId": null
},
"products": [
{
"productId": "15441118953846",
"variantId": "56640794886518",
"quantity": 1
}
],
"sectionServeId": "2ec3ae42-40f4-44ec-9aa8-dd907474b51c",
"recommendationType": "similar_products"
}
}
},
"session_id": "sess-abc123",
"client_id": "client-xyz",
"channel": "headless",
"page_type": "product",
"page_url": "https://example.com/products/classic-shirt"
}
'{
"ok": true
}{
"error": 123,
"message": "<string>"
}Send Headless Events
Send tracking events from headless, mobile, or hydrogen storefronts.
curl --request POST \
--url https://storefront.glood.ai/api/storefront/v3/headless/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"id": "evt-atc-001",
"name": "glood:section:add_to_cart",
"type": "custom",
"timestamp": "2026-04-17T10:30:00Z",
"data": {},
"customData": {
"track": {
"section": "221939",
"parent": {
"productId": "15441118822774",
"variantId": null
},
"products": [
{
"productId": "15441118953846",
"variantId": "56640794886518",
"quantity": 1
}
],
"sectionServeId": "2ec3ae42-40f4-44ec-9aa8-dd907474b51c",
"recommendationType": "similar_products"
}
}
},
"session_id": "sess-abc123",
"client_id": "client-xyz",
"channel": "headless",
"page_type": "product",
"page_url": "https://example.com/products/classic-shirt"
}
'{
"ok": true
}{
"error": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Shopify store URL (can be omitted if shop_domain is provided in the request body)
"shop.myshopify.com"
Body
Event payload
Show child attributes
Show child attributes
Current session identifier (from HeadlessInitResponse.visit_id)
Storefront channel the event originated from
web, mobile, headless, hydrogen Anonymous visitor identifier
Client/device identifier
Shopify customer ID for authenticated visitors
Shopify store URL. Required if the x-shop header is not set.
"shop.myshopify.com"
Device information for the client
Show child attributes
Show child attributes
Type of the page from which the event was fired
home, product, collection, cart, checkout, order_status, search, other Full URL of the page from which the event was fired
Cart state at the time of the event
Customer information at the time of the event
Customer consent/privacy preferences
Response
Event accepted
Indicates the event was accepted successfully
true Was this page helpful?